
Ruby - Bug #5960

Error with rvm default gemset and rails rake

02/03/2012 04:39 AM - funny_falcon (Yura Sokolov)

Status: Third Party's Issue   

Priority: Normal   

Assignee:    

Target version: 1.9.3   

ruby -v: ruby 1.9.3p0 (2011-10-30 revision

33570) [i686-linux]

Backport:  

Description

After installing fresh ruby, creating fresh rails application, rake db:migrate fails with evident bug in requiring files

(already created constants, files are required from ~/.rvm/gems/ruby-1.9.3-p0@global/gems/rake-0.9.2.2/lib/rake/ and from

~/.rvm/gems/ruby-1.9.3-p0/gems/rake-0.9.2.2/lib/rake/)

Error disappeared when not default gemset is used.

https://gist.github.com/1725184

History

#1 - 02/03/2012 04:40 AM - funny_falcon (Yura Sokolov)

I could not really say, if this bug of Ruby or RVM

#2 - 02/03/2012 10:00 PM - naruse (Yui NARUSE)

- Status changed from Open to Third Party's Issue

It is because,

the command rake is /home/yura/.rvm/gems/ruby-1.9.3-p0-test/bin/rake.

so it loads files in /home/yura/.rvm/gems/ruby-1.9.3-p0-test@global/gems/rake-0.9.2.2.

but on the line 'gem "rake"' it loads files in /home/yura/.rvm/gems/ruby-1.9.3-p0-test@global/gems/rake-0.9.2.2

maybe because of its LOADPATH.

So they are conflicted.

This seems rvm's bug; PATH environment variable and LOADPATH should be consistent.
